Update Customers

Updates Customers. Subresource updates are not supported. **Required Fields** * id -- ID of the *Customer* This must be included in the request body **Read Only Fields** * id * registration_ip_address * date_created * date_modified * origin_channel_id **Limits** * Limit of 10 customers per call. * Limit of 3 concurrent requests **Notes** * Attributes Values can not be updated using Update a Customer. Use the [Update customer attribute values](/developer/api-reference/rest/admin/management/customers/v3/attribute-values#upsert-customer-attribute-values) endpoint. * channel_ids -- Updating the list of channels a customer can access may create some side effects in a multi-storefront situation. This list determines which customer account we will use to authenticate a shopper given a channel. * origin_channel_id -- This is an immutable value set as a reference to the channel of origin when a customer is created.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Request

This endpoint expects a list of objects.
idintegerRequired
The unique numeric ID of the customer.
emailstringOptional3-255 characters
The email of the customer. Must be unique.
first_namestringOptional1-100 characters
The first name of the customer.
last_namestringOptional1-100 characters
The last name of the customer.
companystringOptional0-255 characters
The company of the customer.
phonestringOptional0-50 characters
The phone number of the customer.
registration_ip_addressstringOptional0-30 characters
The IP address from which this customer was registered.
notesstringOptional
The customer notes.
tax_exempt_categorystringOptional0-255 characters
The tax exempt category code for the customer.
customer_group_idintegerOptional
ID of the group which this customer belongs to.
authenticationobjectOptional
accepts_product_review_abandoned_cart_emailsbooleanOptional
It determines if the customer is signed up to receive either product review or abandoned cart emails or receive both emails.
store_credit_amountslist of objectsOptional
Store credit.
origin_channel_idintegerOptional
Channel ID of the customer that has created the form.
channel_idslist of integersOptional
Arrays of channels the customer can access.
form_fieldslist of objectsOptional
Array of form fields. Controlled by formfields parameter.

Response

Customer Collection Response
datalist of objects
metaobject
Response metadata.

Errors

413
Content Too Large Error
422
Unprocessable Entity Error